## apscheduler 3.4.0

=== docs/requirements.txt ===
gevent
kazoo
pymongo
redis
rethinkdb
SQLAlchemy
Twisted

## apscheduler 2.0.3

=== debian/changelog ===
apscheduler (2.0.3-2) unstable; urgency=low

  * Adding dpkg-source local options.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 11 Dec 2012 21:06:19 +0100

apscheduler (2.0.3-1) unstable; urgency=low

  * Initial release (Closes: #688017).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 02 Nov 2012 16:47:01 +0100

=== debian/control ===
Source: apscheduler
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 9), python, python-setuptools
Standards-Version: 3.9.4
Homepage: http://pypi.python.org/pypi/APScheduler/

Package: python-apscheduler
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources
Description: In-process task scheduler with Cron-like capabilities
 The Advanced Python Scheduler (APScheduler) is a light but powerful in-process
 task scheduler that lets you schedule jobs (functions or any Python callables)
 to be executed at times of your choosing.
 .
 This can be a far better alternative to externally run cron scripts for
 long-running applications (e.g. web applications), as it is platform neutral
 and can directly access your application's variables and functions.

## apscheduler 2.1.0

=== debian/changelog ===
apscheduler (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (closes: #704307).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 30 Apr 2013 08:05:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: apscheduler
 Section: python
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), python, python-setuptools
 Standards-Version: 3.9.4
 Homepage: http://pypi.python.org/pypi/APScheduler/

## apscheduler 2.1.2

=== debian/changelog ===
apscheduler (2.1.2-1ubuntu1) trusty; urgency=low

  * debian/rules: update location of APScheduler for dh_fixperms

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Feb 2014 11:43:31 -0800

apscheduler (2.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Feb 2014 08:19:37 +0100

apscheduler (2.1.1-1) unstable; urgency=low

  * New upstream release (closes: #727115).
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Nov 2013 20:26:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: apscheduler
 Section: python
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), python, python-setuptools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://pypi.python.org/pypi/APScheduler/
+XS-Python-Version: >= 2.5
 
 Package: python-apscheduler
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/python-apscheduler/

%:
	dh ${@} --with python2

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/APScheduler.egg-info/PKG-INFO

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(DESTDIR)/usr/lib/python?.?/dist-packages/APScheduler-*.egg-info/*

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

.PHONY: override_dh_clean override_dh_fixperms override_dh_builddeb

=== debian/watch ===
version=2
https://bitbucket.org/agronholm/apscheduler/downloads .*/v(\d\S*)\.tar\.gz

## apscheduler 3.0.5

=== debian/changelog ===
apscheduler (3.0.5-1) unstable; urgency=low

  [ Brian May <bam@debian.org> ]
  * New upstream version.
  * Python 3 package (closes: #807797).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Mar 2016 21:32:17 +0000

apscheduler (2.1.2-2) unstable; urgency=low

  * Fix chmod FTBFS (closes: #750328).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Jun 2014 18:39:30 +0000

=== debian/control ===
Source: apscheduler
Section: python
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>=9), dh-python,
 python-all (>= 2.6.6-3~), python-setuptools, python-concurrent.futures,
 python-tzlocal, python-six, python-pytest, python-mock,
 python3-all, python3-setuptools,
 python3-tzlocal, python3-six, python3-pytest, python3-mock
Standards-Version: 3.9.7
Homepage: http://pypi.python.org/pypi/APScheduler/
XS-Python-Version: >= 2.5

Package: python-apscheduler
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: In-process task scheduler with Cron-like capabilities
 The Advanced Python Scheduler (APScheduler) is a light but powerful in-process
 task scheduler that lets you schedule jobs (functions or any Python callables)
 to be executed at times of your choosing.
 .
 This can be a far better alternative to externally run cron scripts for
 long-running applications (e.g. web applications), as it is platform neutral
 and can directly access your application's variables and functions.
 .
 This package contains the Python 2 module.

Package: python3-apscheduler
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: In-process task scheduler with Cron-like capabilities
 The Advanced Python Scheduler (APScheduler) is a light but powerful in-process
 task scheduler that lets you schedule jobs (functions or any Python callables)
 to be executed at times of your choosing.
 .
 This can be a far better alternative to externally run cron scripts for
 long-running applications (e.g. web applications), as it is platform neutral
 and can directly access your application's variables and functions.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=apscheduler

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

.PHONY: override_dh_auto_test

## apscheduler 3.3.1

=== debian/changelog ===
apscheduler (3.3.1-1) unstable; urgency=low

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 31 Dec 2016 18:15:26 +0000

apscheduler (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Add python{,3}-setuptools-scm to build depends.
  * Add Python{,3} build depends to all jobstores for self-tests
    (closes: #835237).
  * Add patch to skip RethinkDB jobstore tests.
  * Break build depends to several lines.
  * Remove the Python 2 AsyncIOExecutor as asyncio is not supported on it.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 15 Nov 2016 17:22:02 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,34 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>=9), dh-python,
- python-all (>= 2.6.6-3~), python-setuptools, python-concurrent.futures,
- python-tzlocal, python-six, python-pytest, python-mock,
- python3-all, python3-setuptools,
- python3-tzlocal, python3-six, python3-pytest, python3-mock
-Standards-Version: 3.9.7
+ python-all (>= 2.6.6-3~),
+ python-setuptools, python-setuptools-scm,
+ python-concurrent.futures, python-tzlocal, python-six, python-pytest,
+ python-mock,
+ python-bson,
+ python-gevent,
+ python-kazoo,
+ python-pymongo,
+ python-redis,
+ python-tornado,
+ python-twisted,
+ python-sqlalchemy,
+ python-pyqt5,
+ python3-all,
+ python3-setuptools, python3-setuptools-scm,
+ python3-tzlocal, python3-six, python3-pytest, python3-mock,
+ python3-bson,
+ python3-gevent,
+ python3-kazoo,
+ python3-pymongo,
+ python3-redis,
+ python3-tornado,
+ python3-twisted,
+ python3-sqlalchemy,
+ python3-pyqt5
+Standards-Version: 3.9.8
 Homepage: http://pypi.python.org/pypi/APScheduler/
-XS-Python-Version: >= 2.5
+XS-Python-Version: >= 2.7
 
 Package: python-apscheduler
 Architecture: all

## apscheduler 3.4.0

=== debian/changelog ===
apscheduler (3.4.0-2ubuntu1) bionic; urgency=medium

  * Drop build-dependency on python3-trollius, which has been removed and is
    not needed.  Closes: #893627.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Mar 2018 13:07:45 -0700

apscheduler (3.4.0-2) unstable; urgency=medium

  * Patch to don't check for SCM source version.
  * Fix test with Python 2.7 (closes: #884107).
  * Add python{,3}-trollius to build depends.
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Dec 2017 19:22:46 +0000

apscheduler (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.1 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Nov 2017 17:01:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: apscheduler
 Section: python
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>=9), dh-python,
- python-all (>= 2.6.6-3~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 11), dh-python,
+ python-all (>= 2.7),
  python-setuptools, python-setuptools-scm,
  python-concurrent.futures, python-tzlocal, python-six, python-pytest,
  python-mock,
@@ -16,6 +17,7 @@
  python-twisted,
  python-sqlalchemy,
  python-pyqt5,
+ python-trollius,
  python3-all,
  python3-setuptools, python3-setuptools-scm,
  python3-tzlocal, python3-six, python3-pytest, python3-mock,
@@ -27,14 +29,17 @@
  python3-tornado,
  python3-twisted,
  python3-sqlalchemy,
- python3-pyqt5
-Standards-Version: 3.9.8
+ python3-pyqt5,
+Standards-Version: 4.1.2
 Homepage: http://pypi.python.org/pypi/APScheduler/
 XS-Python-Version: >= 2.7
+X-Python3-Version: >= 3.4
 
 Package: python-apscheduler
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
 Description: In-process task scheduler with Cron-like capabilities
  The Advanced Python Scheduler (APScheduler) is a light but powerful in-process
  task scheduler that lets you schedule jobs (functions or any Python callables)
@@ -49,6 +54,8 @@
 Package: python3-apscheduler
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
+Provides: ${python3:Provides}
+XB-Python-Version: ${python3:Versions}
 Description: In-process task scheduler with Cron-like capabilities
  The Advanced Python Scheduler (APScheduler) is a light but powerful in-process
  task scheduler that lets you schedule jobs (functions or any Python callables)

## apscheduler 3.5.1

=== debian/changelog ===
apscheduler (3.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.3 .
  * Sync with Ubuntu.


  [ Steve Langasek <steve.langasek@ubuntu.com> ]
  * Drop build-dependency on python3-trollius, which has been removed and is
    not needed (closes: #893627).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Mar 2018 18:25:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: apscheduler
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), dh-python,
  python-all (>= 2.7),
  python-setuptools, python-setuptools-scm,
@@ -29,8 +28,8 @@
  python3-tornado,
  python3-twisted,
  python3-sqlalchemy,
- python3-pyqt5,
-Standards-Version: 4.1.2
+ python3-pyqt5
+Standards-Version: 4.1.3
 Homepage: http://pypi.python.org/pypi/APScheduler/
 XS-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4

## apscheduler 3.5.3

=== debian/changelog ===
apscheduler (3.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Aug 2018 19:07:28 +0000

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  python3-twisted,
  python3-sqlalchemy,
  python3-pyqt5
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: http://pypi.python.org/pypi/APScheduler/
 XS-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,17 @@
 
 export PYBUILD_NAME=apscheduler
 
+PY2PKGDIR=$(CURDIR)/debian/python-apscheduler/usr/lib/python2.7/dist-packages
+
+override_dh_auto_install:
+	dh_auto_install
+	rm $(PY2PKGDIR)/apscheduler/executors/asyncio.py
+	rm $(PY2PKGDIR)/apscheduler/executors/base_py3.py
+
 override_dh_auto_test:
 	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
 
-.PHONY: override_dh_auto_test
+.PHONY: override_dh_auto_install override_dh_auto_test

## apscheduler 3.6.1

=== debian/changelog ===
apscheduler (3.6.1-1.1~bpo10+1) UNRELEASED; urgency=medium

  * buster-backports Rebuilt for buster.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2019 06:56:58 +0000

apscheduler (3.6.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed python3-apscheduler is an empty package, by removing the
    override_dh_auto_install from .PHONY: in debian/rules (Closes: #941478).

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2019 11:32:34 +0200

apscheduler (3.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Python packaging bits.
  * Remove own compression option.
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 29 Sep 2019 07:38:58 +0000

apscheduler (3.5.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Removed Python 2 support (Closes: #936130).

 -- Thomas Goirand <zigo@debian.org>  Sun, 15 Sep 2019 09:29:59 +0200

=== debian/control ===
Source: apscheduler
Section: python
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 11), dh-python,
 python3-all,
 python3-setuptools, python3-setuptools-scm,
 python3-tzlocal, python3-six, python3-pytest, python3-mock,
 python3-bson,
 python3-gevent,
 python3-kazoo,
 python3-pymongo,
 python3-redis,
 python3-tornado,
 python3-twisted,
 python3-sqlalchemy,
 python3-pyqt5
Standards-Version: 4.4.0
Homepage: http://pypi.python.org/pypi/APScheduler/

Package: python3-apscheduler
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: In-process task scheduler with Cron-like capabilities
 The Advanced Python Scheduler (APScheduler) is a light but powerful in-process
 task scheduler that lets you schedule jobs (functions or any Python callables)
 to be executed at times of your choosing.
 .
 This can be a far better alternative to externally run cron scripts for
 long-running applications (e.g. web applications), as it is platform neutral
 and can directly access your application's variables and functions.
 .
 This package contains the Python 3 module.

## apscheduler 3.6.3

=== debian/changelog ===
apscheduler (3.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Nov 2019 15:51:12 +0000

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
  python3-twisted,
  python3-sqlalchemy,
  python3-pyqt5
-Standards-Version: 4.4.0
-Homepage: http://pypi.python.org/pypi/APScheduler/
+Standards-Version: 4.4.1
+Homepage: https://pypi.python.org/pypi/APScheduler/
 
 Package: python3-apscheduler
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/APScheduler/APScheduler-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## apscheduler 3.7.0

=== debian/changelog ===
apscheduler (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream metadata.
  * Update packaging bits.
  * Update watch file.
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Feb 2021 20:01:33 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
  python3-twisted,
  python3-sqlalchemy,
  python3-pyqt5
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://pypi.python.org/pypi/APScheduler/
+Rules-Requires-Root: no
 
 Package: python3-apscheduler
 Architecture: all

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://github.com/agronholm/apscheduler/tags .*/archive/v?(\d\S+)@ARCHIVE_EXT@

## apscheduler 3.8.1

=== debian/changelog ===
apscheduler (3.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Install examples.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Dec 2021 16:06:57 +0100

apscheduler (3.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update homepage location.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Sep 2021 15:01:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all,
  python3-setuptools, python3-setuptools-scm,
  python3-tzlocal, python3-six, python3-pytest, python3-mock,
@@ -15,8 +15,8 @@
  python3-twisted,
  python3-sqlalchemy,
  python3-pyqt5
-Standards-Version: 4.5.1
-Homepage: https://pypi.python.org/pypi/APScheduler/
+Standards-Version: 4.6.0
+Homepage: https://github.com/agronholm/apscheduler
 Rules-Requires-Root: no
 
 Package: python3-apscheduler

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=apscheduler

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"

%:
	dh $@ --with python3 --buildsystem=pybuild

.PHONY: override_dh_auto_test

## apscheduler 3.9.1

=== debian/changelog ===
apscheduler (3.9.1-2) unstable; urgency=medium

  * Add python3-tz build dependency for self-testing (closes: #1020125).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Sep 2022 19:50:49 +0200

apscheduler (3.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix Python egg directory naming (closes: #1010800).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 14 May 2022 13:51:09 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  python3-tornado,
  python3-twisted,
  python3-sqlalchemy,
- python3-pyqt5
+ python3-pyqt5,
+ python3-tz <!nocheck>
 Standards-Version: 4.6.0
 Homepage: https://github.com/agronholm/apscheduler
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/agronholm/apscheduler/tags \
(?:|.*/)v?(\d\S*)@ARCHIVE_EXT@

## apscheduler 3.10.4

=== debian/changelog ===
apscheduler (3.10.4-1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Fri, 18 Oct 2024 12:37:20 +0000

apscheduler (3.10.4-1) unstable; urgency=medium

  * New upstream release (closes: #1076757).
  * Remove python3-mock build dependency (closes: #1068088).
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 23 Jul 2024 11:32:27 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all,
  python3-setuptools, python3-setuptools-scm,
- python3-tzlocal, python3-six, python3-pytest, python3-mock,
+ python3-tzlocal, python3-six, python3-pytest,
  python3-bson,
  python3-gevent,
  python3-kazoo,
@@ -16,7 +16,7 @@
  python3-sqlalchemy,
  python3-pyqt5,
  python3-tz <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/agronholm/apscheduler
 Rules-Requires-Root: no

## apscheduler 3.11.0

=== debian/changelog ===
apscheduler (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update no_rethinkdb_test.patch to match this release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 13 Dec 2024 22:37:25 +0100

apscheduler (3.10.4-2) unstable; urgency=medium

  * Disable self-testing due to the removal of "setup.py test"
    (closes: #1080272).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 08 Sep 2024 14:00:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools, python3-setuptools-scm,
- python3-tzlocal, python3-six, python3-pytest,
+ python3-tzlocal, python3-pytest,
  python3-bson,
  python3-gevent,
  python3-kazoo,

## apscheduler 3.11.1

=== debian/changelog ===
apscheduler (3.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove now redundant Rules-Requires-Root value.
  * Update watch file.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 04 Nov 2025 20:21:14 +0100

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,9 @@
  python3-twisted,
  python3-sqlalchemy,
  python3-pyqt5,
- python3-tz <!nocheck>
-Standards-Version: 4.7.0
+ python3-pytz <!nocheck>
+Standards-Version: 4.7.2
 Homepage: https://github.com/agronholm/apscheduler
-Rules-Requires-Root: no
 
 Package: python3-apscheduler
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_NAME=apscheduler
 
 override_dh_auto_test:
-	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"
+	@echo Self-testing is disabled
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Github
Owner: agronholm
Project: apscheduler
Uversionmangle: s/(\d\S+)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i

## apscheduler 3.11.2

=== debian/changelog ===
apscheduler (3.11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 23 Dec 2025 15:14:12 +0100
